#include <Foundation/Foundation.h>
#include <AppKit/AppKit.h>

#include "MyAppDelegate.h"


@implementation MyAppDelegate

- (void) applicationDidFinishLaunching: (NSNotification *)not
{
	NSMenu *menu;
	deleg *tf1, *tf2;

	menu = AUTORELEASE([NSMenu new]);
	[menu addItemWithTitle: @"Quit"
	      action: @selector(terminate:)
		  keyEquivalent: @"q"];
	[NSApp setMainMenu: menu];

	myWindow = [[NSWindow alloc]
		initWithContentRect: NSMakeRect(100, 100, 400, 200)
		styleMask: NSTitledWindowMask | NSMiniaturizableWindowMask
		backing: NSBackingStoreBuffered
		defer: NO] ;

	tf1 = [[deleg alloc]
		initWithFrame: NSMakeRect(10, 10, 140, 22)];
	[tf1 setDelegate: tf1];
	[[myWindow contentView] addSubview: tf1];

	tf2 = [[deleg alloc]
		initWithFrame: NSMakeRect(150, 10, 140, 22)];
	[tf2 setDelegate: tf2];
	[[myWindow contentView] addSubview: tf2];

	[tf1 setOther: tf2];
	[tf2 setOther: tf1];

	[myWindow makeKeyAndOrderFront: nil];
	[tf1 setStringValue: @"11"];
	[tf2 setStringValue: @"22"];

	[myWindow makeFirstResponder: tf1];
}

@end
